Page MenuHomePhabricator

Decomissions old s2 eqiad hosts (db1018, db1021, db1024, db1036)
Closed, ResolvedPublic

Description

This need prep work first, as most of those are in use, and one is the current s2 master.

db1018 master T176215
db1024 old master (depooled) T164702
db1021 vslow T181378
db1036 recentchanges T176311

Also, look at the planning at T162133 and https://gerrit.wikimedia.org/r/338996

Details

Related Gerrit Patches:
operations/software : masters2.hosts: Remove db1024
operations/mediawiki-config : masterdb-codfw,db-eqiad.php: Decommission db1024
operations/puppet : productionmariadb: Get ready to decomission db1024

Event Timeline

jcrespo created this task.Apr 11 2017, 3:08 PM
jcrespo removed a subscriber: Cmjohnson.

Not for dc ops yet.

Marostegui updated the task description. (Show Details)Apr 11 2017, 3:12 PM
Marostegui moved this task from Triage to Backlog on the DBA board.Apr 11 2017, 3:13 PM

You think db1024 can go away now? It was the old old master (it is depooled) and as per T154485#3171631 we should be good to go.

Yes

Great, will prepare the patches and merge them next week and let Chris know so he can do his part too.

Change 352087 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-codfw,db-eqiad.php: Decommission db1024

https://gerrit.wikimedia.org/r/352087

Change 352088 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/software@master] s2.hosts: Remove db1024

https://gerrit.wikimedia.org/r/352088

Change 352093 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Get ready to decomission db1024

https://gerrit.wikimedia.org/r/352093

All the patches to decommission db1024 are ready now. I will merge next week and create an specific task for Chris for that host so he doesn't have to read thru lots of comments.

Change 352093 merged by Marostegui:
[operations/puppet@production] mariadb: Get ready to decomission db1024

https://gerrit.wikimedia.org/r/352093

Change 352087 merged by jenkins-bot:
[operations/mediawiki-config@master] db-codfw,db-eqiad.php: Decommission db1024

https://gerrit.wikimedia.org/r/352087

Mentioned in SAL (#wikimedia-operations) [2017-05-08T06:30:16Z] <marostegui@tin> Synchronized wmf-config/db-codfw.php: Decommission db1024 - T162699 (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-05-08T06:31:16Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Decommission db1024 - T162699 (duration: 00m 39s)

Change 352088 merged by jenkins-bot:
[operations/software@master] s2.hosts: Remove db1024

https://gerrit.wikimedia.org/r/352088

Marostegui closed this task as Resolved.Dec 5 2017, 6:28 AM
Marostegui updated the task description. (Show Details)
Marostegui updated the task description. (Show Details)

All these servers have been decommissioned or have individual tasks for decommissioning as described above, so closing this meta task.